Skip to content
POST/{organizationId}/portal/settings/infoTiles/{tileIndex}

Update info tile

Updates a single info tile of a portal of an organization

Required permissions:

  • portalSettings.edit

Path Parameters

organizationIdstringrequired
tileIndexintegerrequired

minimum: 0

maximum: 3

Request Body required

Content-Type: application/json

titlestringrequired

maxLength: 60

subtitlestringrequired

maxLength: 100

contentstringrequired

maxLength: 10000

Default: null

Default: []

Authentication: X-API-Key

Request

POST/{organizationId}/portal/settings/infoTiles/{tileIndex}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/portal/settings/infoTiles/{tileIndex}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "string",
  "subtitle": "string",
  "content": "string",
  "url": ""
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Additional properties are not allowed.

contentstringrequired

maxLength: 10000

Response

200
{
  "image": {
    "resource": "string"
  },
  "content": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}